PETSc version 3.15.5
Fix/Edit manual page

# VecRestoreSubVector

Restores a subvector extracted using VecGetSubVector()

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecRestoreSubVector(Vec X,IS is,Vec *Y)

Collective on IS

### Input Arguments

| X | - vector from which subvector was obtained
| is | - index set representing the subset of X
| Y | - subvector being restored

### See Also

VecGetSubVector()

### Level

advanced

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/tutorials/ex44.c.html
src/ksp/ksp/tutorials/ex81.c.html
src/snes/tutorials/ex70.c.html

### Implementations

VecRestoreSubVector_Nest in src/vec/vec/impls/nest/vecnest.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages